---
layout: post
name: 'April Progress Report'
title: 'April Progress Report'
date: 2024-05-06 00:00:00
authors: [amelia]
published: true
slug: April-progress
categories: waku, progress
image: /img/black-waku-logo-with-name.png
---

Highlights from the Waku team in April 2024.

<!--truncate-->

Welcome to the monthly Waku progress report. The EcoDev group at Waku covers community, growth, partnerships, and communications. The Research and Development group covers the academic and engineering research that supports Waku’s development, as well as the core team of Waku engineers building the protocols. Each month, we will share the key highlights and progress of the teams. You can [subscribe](https://waku.org/subscribe/) to the monthly newsletter if you prefer to receive an abridged version of these updates in your inbox.


## Events

**ETHDam 12th - 14th April**

After a busy hackathon in Amsterdam that included the [workshop](https://www.youtube.com/watch?v=K1S0Zzzeiqo) “Privacy-preserving web3 communications at scale with Waku”, we announced the [ETHDam hackathon winners](https://twitter.com/Waku_org/status/1780243018173325819). Team [StealthAlloc](https://taikai.network/cryptocanal/hackathons/ethdam2024/projects/cluxse8cz00pjz3010wbq3thf/idea) claimed first place with their platform that bridges creators and DAOs to ensure confidential voting and fair allocations for quadratic funding. The team integrated Waku to support private communication channels between DAO treasuries and funding pools.

The runners-up [Brain Crypto Interfaces](https://taikai.network/cryptocanal/hackathons/ethdam2024/projects/cluz9mmr1016cyz01g3iry70i/idea) suggests using incentives for uploading brain data to improve open-source classification models. The team used Waku to facilitate private and secure communications between users. 

**Web3 Family Conference 17th - 19th April**

Software Engineer Ivan spoke at Web3 Family Conference in Barcelona, delivering the talk “Waku – The Web3 Communication Layer uring on Web3Family’s”. He also spoke on the panel “Privacy in Web3” alongside Web3rivacy Now and zkSync. 

**Privacy Reunion 24th April**

[Waku Eco Dev Team Lead Marina](https://twitter.com/Waku_org/status/1783170168597688746) moderated the panel "The Next Privacy Paradigm for Ethereum and Rollups” at Privacy Reunion in Barcelona alongside Codex, zkSync, and Ethereum speakers. Notably, she commented: “To support the privacy sector, we need to help everyone understand that it’s not about having nothing to hide; it’s about choosing what to share."

**Waku Strategy and Planning Week **

The Waku team [came together](https://twitter.com/Waku_org/status/1775784705666818335) in Athens for a week of strategising, workshopping, and planning for the year. The team has developed a roadmap for the rest of 2024, which will be made public soon.

**Upcoming Events**

Bookmark [waku.org/event](walu.org/events)s, where we’ll be adding more information about upcoming events. 


<table>
  <tr>
   <td><strong>Event</strong>
   </td>
   <td><strong>Date</strong>
   </td>
   <td><strong>Location</strong>
   </td>
   <td><strong>Engagement type</strong>
   </td>
  </tr>
  <tr>
   <td><a href="https://events.geekle.us/wsas/">Worldwide</a>

<a href="https://events.geekle.us/wsas/">Software Architecture</a>

<a href="https://events.geekle.us/wsas/">Summit 2024</a>
   </td>
   <td>7th - 8th May
   </td>
   <td>Online
   </td>
   <td>Presentation from Vaclav 
   </td>
  </tr>
  <tr>
   <td><a href="https://www.ethbratislava.com/">ETHBratislava</a>
   </td>
   <td>10th - 11th May
   </td>
   <td>Bratislava, Slovakia
   </td>
   <td>Presentation from Vaclav 
   </td>
  </tr>
  <tr>
   <td><a href="https://dlt2024.di.unito.it/">6th Distributed Ledger Technologies Workshop</a>
   </td>
   <td>14th - 15th May
   </td>
   <td>Turin, Italy
   </td>
   <td>Presenting our academic paper
   </td>
  </tr>
  <tr>
   <td><a href="https://www.dappcon.io/">Dappcon</a>
   </td>
   <td>21st - 23rd May 
   </td>
   <td>Berlin, Germany
   </td>
   <td>Event sponsors with booth, and a presentation from Vaclav
   </td>
  </tr>
  <tr>
   <td><a href="https://web3privacy.info/event/m24ber/">Web3PrivacyNow &lt;> Waku meetup</a>
   </td>
   <td>22nd May
   </td>
   <td>Berlin, Germany
   </td>
   <td>Co-hosting the meetup, Vaclav and Sergei will also be presenting 
   </td>
  </tr>
  <tr>
   <td><a href="https://ethberlin.org/">ETHBerlin</a>
   </td>
   <td>24th - 26th May
   </td>
   <td>Berlin, Germany
   </td>
   <td>Sergei is giving a workshop on Waku and mentoring the hackathon. Pedro will also be attending to meet projects interested in integrating Waku.
   </td>
  </tr>
  <tr>
   <td><a href="https://web3privacy.info/event/s24prg/">Web3PrivacyNow Summit</a>
   </td>
   <td>30th May
   </td>
   <td>Berlin, Germany
   </td>
   <td>Presentation from Vaclav 
   </td>
  </tr>
  <tr>
   <td><a href="https://ethprague.com/">ETHPrague</a>
   </td>
   <td>31st May - 2nd June
   </td>
   <td>Prague, Czech Republic
   </td>
   <td>Pedro, Vaclav, Sasha, and Guru will attend to hack and meet projects interested in integrating Waku. 
   </td>
  </tr>
</table>



## Reads and learning resources

**Ecosystem Spotlight: RAILGUN **

Ethereum does not provide privacy by default; every transactional data in the Ethereum network is transparent. RAILGUN is an on-chain privacy system built for EVM-based blockchains. The RAILGUN community claims the project to be the only uncompromising on-chain privacy solution with unparalleled encryption, security, and with DeFi functionality on par with other leading wallets.

[Learn more](https://twitter.com/Waku_org/status/1783845021583601783) about how RAILGUN uses Waku to build a privacy layer on top of EVM-based chains. You can also learn more in this our [Ecosystem Spotlight video](https://www.youtube.com/watch?v=SbgslZxyV3M).

**Waku’s origin story**

After the development of the Ethereum subprotocol Whisper was abandoned, Status suffered platform risk consequences. Vac helped engineer a new GossipSub protocol that could scale to meet Status' needs. Waku was born from the demand for a privacy-preserving, scalable communications layer.

[Learn more](https://twitter.com/Waku_org/status/1782388932828709314) about Waku’s origin story.


## News

In an effort to protect digital privacy, the Logos technology stack, including Waku, has entered into [a strategic partnership with Web3 Privacy Now](https://twitter.com/Logos_network/status/1780255677836923133). The projects will launch initiatives to fortify data protection mechanisms, empower users with greater control of their data, and instil a commitment to privacy in web3 true to its cypherpunk roots.


## Research and Development

**Store v3**

The Store protocol is how nodes in the Waku network can be queried on their message history. The development team has achieved incentivisation for the latest version of Store and is working on the proof of concept. They are also working to add message hashes to the protocol. 

**RLN v2**

Rate Limit Nullifiers (RLN) are based on zero-knowledge proofs and enable message rate-limiting in the Waku Network while preserving users' anonymity. The development team is working on RLN v2, which enables functionality on resource-restricted devices. The team has deployed a [new Merkle tree integration](https://github.com/alrevuelta/go-waku-light/pull/2) (LazyIMT) and a [new version of the contract](https://github.com/vacp2p/rln-contract/pull/31) using the tree. The PoC that uses[ Merkle proofs from the contract](https://github.com/privacy-scaling-explorations/zk-kit/pull/162) has been merged, allowing roots and Merkle proofs on-chain in exchange for increased gas costs.

**JSON RPC Deprecated**

Waku nodes have migrated from using a [JSON RPC to REST API](https://waku-org.github.io/waku-rest-api/). We have updated our tests accordingly and successfully deprecated [JSON RPC](https://waku-org.github.io/waku-rest-api/).


## Milestones

Below are status updates and links to the progress report for each Waku engineering milestone. 

[Composing Waku Protocols to Improve Reliability](https://github.com/waku-org/pm/issues/114)

Status: In Progress

Successfully ensured js-waku protocol implementations in @waku/core are as unopinionated as possible.

[Operator Feature Requests](https://github.com/waku-org/pm/issues/152)

Status: In Progress

Completed a detailed JSON report on /health endpoint for nwaku. Also ensured that extend node is ready with more mature checks and result returned.

[Bindings (Rust, NodeJS, Golang)](https://github.com/waku-org/pm/issues/121)

Status: In Progress

[Node Bandwidth Management Mechanism](https://github.com/waku-org/pm/issues/66)

Status: In Progress


---


# Community Call

Waku hosts a Community Call on X during the last week of each month. The objective of the call is to update the community on our progress and provide a space where questions can be put directly to the team.

The Community Call took place on the 26th March. You can [listen back to the full Space](https://x.com/Waku_org/status/1783888975867908582) and read the highlights below. [Guru](https://twitter.com/hackyguru) and [Vaclav](https://twitter.com/vpavlin) from the Waku team led the call. They were also joined by [Kieran](https://twitter.com/mesquka) from RAILGUN. 


## Why RAILGUN chose Waku

Waku is designed to operate both off-chain and chain agnostic, serving as a peer-to-peer networking library enabling relevant wallets to communicate with relayer RPCs. Its primary aim is to minimise data leakage, particularly concerning IP addresses, which could potentially compromise the anonymity of RAILGUN users.

Initially, RAILGUN attempted to utilise libp2p directly, the underlying framework upon which Waku is constructed, and endeavoured to incorporate a transport tool for use as the networking library. However, this proved exceedingly challenging, and the concept never progressed to production. Instead, the team found that Waku protocols could be implemented or adapted effectively. Keiran remarked, "It just turned out to be well-suited for our needs, so we've stuck with it."


## Protecting transaction privacy 

Keiran elaborated on the importance of transaction privacy, initially citing the potential of Bitcoin and other cryptocurrencies to achieve financial independence, democratise access to finance, and enable individuals to act as their own banks. However, in practice, this vision has shifted from empowerment to near-total surveillance. Rather than a select few having access to one's financial activities, now anyone with an internet connection can monitor transactions through the block explorer.

While this level of transparency may be acceptable for occasional meme coin trading, if we envision cryptocurrencies as everyday financial instruments, it becomes imperative not to publicly disclose all transaction data.

“The question of privacy is really something that needs to be solved.”


## On Vitalik Buterin

RAILGUN garnered considerable attention following the news that Vitalik Buterin had transferred 100 ETH to the platform. Keiran commented that this action exemplified one of RAILGUN's most compelling use cases: providing privacy for public figures with substantial funds tied to their identities. Such visibility naturally attracts scrutiny and assumptions, necessitating a means to safeguard personal data.

Keiran disclosed that he believed Vitalik had been utilising RAILGUN for approximately six months before publicly endorsing it. Subsequently, RAILGUN experienced a surge of interest from new users and critics alike. This heightened interest in RAILGUN shows no signs of abating, but once it does, the team plans to conduct a retrospective analysis on its impact on growth and overall sentiment.


---

If you have questions about what the team has been doing or want to join a like-minded community focused on bringing peer-to-peer communications to millions of users, join the Waku [Discord](https://discord.com/invite/gMPAzmcDER) or follow us on [X](https://twitter.com/Waku_org).

[Subscribe](https://waku.org/subscribe/) to the monthly newsletter for these updates directly in your inbox.

